Bullet Collision Detection & Physics Library: MyCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MyCallback Struct Reference

`#include <btCompoundFromGimpact.h>`

Inheritance diagram for MyCallback:
[legend]
Collaboration diagram for MyCallback:
[legend]

## Public Member Functions
| MyCallback (const btVector3 &from, const btVector3 &to, int ignorePart, int ignoreTriangleIndex)
virtual btScalar | reportHit (const btVector3 &hitNormalLocal, btScalar hitFraction, int partId, int triangleIndex)
Public Member Functions inherited from btTriangleRaycastCallback
| btTriangleRaycastCallback (const btVector3 &from, const btVector3 &to, unsigned int flags=0)
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()

## Public Attributes
int | m_ignorePart
int | m_ignoreTriangleIndex
Public Attributes inherited from btTriangleRaycastCallback
btVector3 | m_from
btVector3 | m_to
unsigned int | m_flags
btScalar | m_hitFraction

## Additional Inherited Members
Public Types inherited from btTriangleRaycastCallback
enum | EFlags { kF_None = 0 , kF_FilterBackfaces = 1 << 0 , kF_KeepUnflippedNormal = 1 << 1 , kF_UseSubSimplexConvexCastRaytest = 1 << 2 , kF_UseGjkConvexCastRaytest = 1 << 3 , kF_DisableHeightfieldAccelerator = 1 << 4 , kF_Terminator = 0xFFFFFFFF }

## Detailed Description

Definition at line 24 of file btCompoundFromGimpact.h.

## Constructor & Destructor Documentation

## ◆ MyCallback()

MyCallback::MyCallback | ( | const btVector3 & | from,
|  | const btVector3 & | to,
|  | int | ignorePart,
|  | int | ignoreTriangleIndex )
| inline

Definition at line 29 of file btCompoundFromGimpact.h.

## Member Function Documentation

## ◆ reportHit()

virtual btScalar MyCallback::reportHit | ( | const btVector3 & | hitNormalLocal,
|  | btScalar | hitFraction,
|  | int | partId,
|  | int | triangleIndex )
| inlinevirtual

Implements btTriangleRaycastCallback.

Definition at line 35 of file btCompoundFromGimpact.h.

## Member Data Documentation

## ◆ m_ignorePart

int MyCallback::m_ignorePart

Definition at line 26 of file btCompoundFromGimpact.h.

## ◆ m_ignoreTriangleIndex

int MyCallback::m_ignoreTriangleIndex

Definition at line 27 of file btCompoundFromGimpact.h.

The documentation for this struct was generated from the following file:

- btCompoundFromGimpact.h